import Qt 4.7
import "UIConstants.js" as UI

Item {
    id: root
    SystemPalette { id: myPalette; colorGroup: SystemPalette.Active }

    property alias text: buttonText.text
    signal clicked

    width: UI.BUTTON_WIDTH
    height: UI.BUTTON_HEIGHT

    Rectangle {
        id: buttonRect
        anchors.fill: parent
        radius: UI.BUTTON_RADIUS
        border.width: UI.BUTTON_BORDER_WIDTH
        border.color: myPalette.highlight
        color: myPalette.button
    }

    Text {
        id: buttonText
        anchors.centerIn: parent
        color: myPalette.buttonText
        font.bold: true
    }

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        onClicked: root.clicked()
    }

    states: State {
        name: "pressed"
        when: mouseArea.pressed

        PropertyChanges {
            target: buttonRect
            color: myPalette.highlight
        }
    }
}
