import Qt 4.7

QueryDialog {
    id: root

    titleText: qsTr("Button Legend")
    rejectButtonText: qsTr("Dismiss")

    property alias contentHeight: myContent.height
    property alias contentWidth: myContent.width
    property alias contentSpacing: myContent.spacing

    property int rowSpacing

    SystemPalette { id: myPalette; colorGroup: SystemPalette.Active }

    ListModel {
        id: rootModel
        ListElement {
            icon: "../images/btn_next_subtitle.png"
            name: "select next subtitle<br>(if available)"
        }

        ListElement {
            icon: "../images/btn_next_language.png"
            name: "select next language<br>(if available)"
        }

        ListElement {
            icon: "../images/btn_back.png"
            name: "go back<br>(like pressing the<br>BACKSPACE key)"

        }

        ListElement {
            icon: "../images/btn_gui.png"
            name: "show/hide the gui<br>(like pressing the TAB key)"
        }

        ListElement {
            icon: "../images/btn_context_menu.png"
            name: "show the context menu<br>(like pressing the C key)"
        }

        ListElement {
            icon: "../images/btn_esc.png"
            name: "send ESC key<br>(use it to get to the main<br>menu, for example)"
        }

        ListElement {
            icon: "../images/btn_volume_up.png"
            name: "increase the volume"
        }

        ListElement {
            icon: "../images/btn_volume_down.png"
            name: "reduce the volume"
        }

        ListElement {
            icon: "../images/btn_mute.png"
            name: "mute audio"
        }

        ListElement {
            icon: "../images/btn_up.png"
            name: "move up<br>skip more forward"
        }

        ListElement {
            icon: "../images/btn_down.png"
            name: "move down<br>skip more backward"
        }

        ListElement {
            icon: "../images/btn_left.png"
            name: "move left<br>skip backward"
        }

        ListElement {
            icon: "../images/btn_right.png"
            name: "move right<br>skip forward"
        }

        ListElement {
            icon: "../images/btn_play_pause.png"
            name: "play/pause the current item"
        }

        ListElement {
            icon: "../images/btn_stop.png"
            name: "stop playing"
        }

        ListElement {
            icon: "../images/btn_enter.png"
            name: "select the current item<br>(use to change directories,<br>start a movie, etc.)"
        }
    }

    Component {
        id: rootDelegate

        Row {
            spacing: root.rowSpacing
            Image { source: icon }
            Text {
                text: name
                color: myPalette.windowText
            }
        }
    }

    content: ListView {
        id: myContent
        clip: true

        model: rootModel
        delegate: rootDelegate
    }
}
