import Qt 4.7
import "UIConstants.js" as UI

Rectangle {
    id: root

    property alias titleText: titleText.text
    property alias acceptButtonText: acceptButton.text
    property alias rejectButtonText: rejectButton.text
    property alias content: contentField.children

    signal accepted
    signal rejected

    visible: false
    anchors.fill: parent

    SystemPalette { id: myPalette; colorGroup: SystemPalette.Active }
    color: myPalette.window

    Column {
        anchors.centerIn: parent
        spacing: UI.DIALOG_SPACING

        // title
        Text {
            id: titleText
            width: parent.width
            font.pixelSize: UI.FONT_XLARGE
            color: myPalette.windowText
            font.bold: true
            horizontalAlignment: Text.AlignHCenter
        }

        // title extra spacer
        Item {
            height: UI.DIALOG_TITLE_EXTRA_SPACING
            width: 1
        }

        // content
        Item {
            id: contentField
            anchors.horizontalCenter: parent.horizontalCenter
            height: childrenRect.height
            width: childrenRect.width
        }

        // buttons extra spacer
        Item {
            height: UI.DIALOG_BUTTONS_EXTRA_SPACING
            width: 1
        }

        // buttons
        Button {
            id: acceptButton
            anchors.horizontalCenter: parent.horizontalCenter
            visible: acceptButton.text != ""
            onClicked: {
                root.visible = false
                root.accepted()
            }
        }

        Button {
            id: rejectButton
            anchors.horizontalCenter: parent.horizontalCenter
            visible: rejectButton.text != ""
            onClicked: {
                root.visible = false
                root.rejected()
            }
        }
    }
}
