import Qt 4.7

QueryDialog {
    id: root

    property alias contentSpacing: myContent.spacing
    property alias contentWidth: myContent.width

    titleText: qsTr("Settings")

    SystemPalette { id: myPalette; colorGroup: SystemPalette.Active }

    content: Column {
        id: myContent
        anchors.horizontalCenter: parent.horizontalCenter

        Text {
            text: qsTr("XBMC Server:")
            color: myPalette.windowText
        }

        Input {
            id: xbmcServerEdit
            text: xbmc.server
        }

        Text {
            text: qsTr("XBMC Port:")
            color: myPalette.windowText
        }

        Input {
            id: xbmcPortEdit
            text: xbmc.port
        }
    }


    acceptButtonText: qsTr("Accept")
    rejectButtonText: qsTr("Reject")

    onAccepted: {
        console.log("applying changes ...")
        xbmc.setup(xbmcServerEdit.text, xbmcPortEdit.text)
    }
    onRejected: {
        console.log("dropping changes ...")
        xbmcServerEdit.text = xbmc.server
        xbmcPortEdit.text = xbmc.port
    }
}
