import Qt 4.7

Rectangle {
    id: window

    width: 480
    height: 800

    function dialogVisible() {
        return (settingsDialog.visible ||
                buttonLegendDialog.visible ||
                aboutDialog.visible);
    }

    property int querryDialogContentWidth: 400
    property int querryDialogContentHeight: 440
    property int settingsDialogContentSpacing: 24
    property int buttonLegendDialogRowSpacing: 10
    property int buttonLegendDialogContentSpacing: 20

    MainPage { id: mainPage }

    SettingsDialog {
        id: settingsDialog
        contentWidth: window.querryDialogContentWidth
        contentSpacing: window.settingsDialogContentSpacing
    }

    ButtonLegendDialog {
        id: buttonLegendDialog
        contentWidth: window.querryDialogContentWidth
        contentHeight: window.querryDialogContentHeight
        contentSpacing: window.buttonLegendDialogContentSpacing
        rowSpacing: window.buttonLegendDialogRowSpacing
    }

    AboutDialog {
        id: aboutDialog
        contentWidth: window.querryDialogContentWidth
    }

    Connections {
        target: signalsProxy
        onSettingsActionTriggered: { if (dialogVisible() === false) settingsDialog.visible = true }
        onButtonLegendActionTriggered: { if (dialogVisible() === false) buttonLegendDialog.visible = true }
        onAboutActionTriggered: { if (dialogVisible() === false) aboutDialog.visible = true }
    }
}
